Skip to content
Get started

Delete Product List

Boolean ProductLists.DeleteProductList(ProductListDeleteProductListParamsparameters, CancellationTokencancellationToken = default)
DELETE/api/v2/public/stores/{store_number}/productlists

Deletes a product list from a store. It can also archive the list, or remove only the header, depending on the request.

ParametersExpand Collapse
ProductListDeleteProductListParams parameters
required string storeNumber

Path param: The store number.

required Long productListID

Query param: The product list identifier to delete.

formatint64
Boolean isArchived

Query param: When true, archives the product list instead of permanently deleting it.

Boolean isDeleteHeader

Query param: When true, deletes only the product list header (and its lines).

string acceptLanguage

Header param

string apiKey

Header param

Delete Product List

ProductListDeleteProductListParams parameters = new()
{
    StoreNumber = "store_number",
    ProductListID = 0,
};

var response = await client.ProductLists.DeleteProductList(parameters);

Console.WriteLine(response);
true
{
  "code": 401,
  "status": "error",
  "message": "Authentication failed.",
  "error": "unauthorized",
  "error_description": "Authentication failed."
}
{
  "code": 500,
  "status": "fail",
  "message": "The request could not be processed.",
  "error": "internal_error",
  "error_description": "The request could not be processed."
}
Returns Examples
true
{
  "code": 401,
  "status": "error",
  "message": "Authentication failed.",
  "error": "unauthorized",
  "error_description": "Authentication failed."
}
{
  "code": 500,
  "status": "fail",
  "message": "The request could not be processed.",
  "error": "internal_error",
  "error_description": "The request could not be processed."
}